<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-atividade-heading" data-cy="AtividadeCreateUpdateHeading" jhiTranslate="matrixApp.atividade.home.createOrEditLabel">
        Criar ou editar Atividade
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="matrixApp.atividade.id" for="field_id">Id</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.atividade.nome" for="field_nome">Nome</label>
          <input type="text" class="form-control" name="nome" id="field_nome" data-cy="nome" formControlName="nome" />
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.atividade.papel" for="field_papel">Papel</label>
          <select class="form-control" id="field_papel" data-cy="papel" name="papel" formControlName="papel" [compareWith]="comparePapel">
            <option [ngValue]="null"></option>
            <option [ngValue]="papelOption" *ngFor="let papelOption of papelsSharedCollection">{{ papelOption.id }}</option>
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.atividade.unidade" for="field_unidade">Unidade</label>
          <select
            class="form-control"
            id="field_unidade"
            data-cy="unidade"
            name="unidade"
            formControlName="unidade"
            [compareWith]="compareUnidade"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="unidadeOption" *ngFor="let unidadeOption of unidadesSharedCollection">{{ unidadeOption.id }}</option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancelar</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Salvar</span>
        </button>
      </div>
    </form>
  </div>
</div>
